# Uses of Interface
org.apache.lucene.spatial3d.geom.XYZSolid

Packages that use XYZSolid
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of XYZSolid in org.apache.lucene.spatial3d.geom

  Methods in org.apache.lucene.spatial3d.geom that return XYZSolid
  Modifier and Type
  Method
  Description
  `static XYZSolid`
  XYZSolidFactory.`makeXYZSolid(PlanetModel planetModel, double minX, double maxX, double minY, double maxY, double minZ, double maxZ)`
  Create a XYZSolid of the right kind given (x,y,z) bounds.
  `static XYZSolid`
  XYZSolidFactory.`makeXYZSolid(PlanetModel planetModel, XYZBounds bounds)`
  Create a XYZSolid of the right kind given (x,y,z) bounds.